# 
# Synthesis run script generated by Vivado
# 

set_param gui.test TreeTableDev
debug::add_scope template.lib 1
set_msg_config -id {HDL 9-1061} -limit 100000
set_msg_config -id {HDL 9-1654} -limit 100000

create_project -in_memory -part xc7z020clg484-1
set_param project.compositeFile.enableAutoGeneration 0
set_param synth.vivado.isSynthRun true
set_property webtalk.parent_dir /lab/home/labsticc/biswas/tmc/tmc1/TMC2_IP/TMC2_IP.cache/wt [current_project]
set_property parent.project_path /lab/home/labsticc/biswas/tmc/tmc1/TMC2_IP/TMC2_IP.xpr [current_project]
set_property default_lib xil_defaultlib [current_project]
set_property target_language VHDL [current_project]
set_property board_part em.avnet.com:zed:part0:1.2 [current_project]
read_vhdl -library xil_defaultlib {
  /lab/home/labsticc/biswas/tmc/tmc1/input_pack.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/tri_state_buffer.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/comparator.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/TLB_out_mux.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/TLB.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/cache.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/MMU_state_machine.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/dependencies_pack.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/dep_bus_mux.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/pipeline_te_tm.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/registers_sec_policy.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/tag_check.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/forward_unit.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/reg_file.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/pc_next.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/data_mem_ctl.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/configuration_reg_file.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/tag_alu.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/top.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/pipeline_tm_twb.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/pipeline_td_te.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/control_dependencies.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/io_controller.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/datamemory.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/dependencies_pu.vhd
  /lab/home/labsticc/biswas/tmc/tmc1/tmc.vhd
}
catch { write_hwdef -file tmc.hwdef }
synth_design -top tmc -part xc7z020clg484-1
write_checkpoint -noxdef tmc.dcp
catch { report_utilization -file tmc_utilization_synth.rpt -pb tmc_utilization_synth.pb }
